Bug 435246 - [FAQ] How to mount a disk in command line
[FAQ] How to mount a disk in command line
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
10
All Linux
low Severity urgent
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
http://docs.fedoraproject.org/desktop...
: Reopened, Triaged
Depends On: 242399
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 03:05 EST by Răzvan Sandu
Modified: 2013-02-09 20:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-07 05:09:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2008-02-28 03:05:46 EST
Hello,

Description of problem:

Please add an exact, step-by-step procedure about mounting/unmounting disk
drives in command line (runlevel 3), when we use udev (default).

Please include it at:

http://docs.fedoraproject.org/desktop-user-guide/en/ch-Media.html

and official Red Hat RHEL documentation.

Version-Release number of selected component (if applicable):
Fedora 8, Red Hat 5.1

How reproducible:
Always.


Thanks a lot,
Răzvan
Comment 1 Don Domingo 2008-02-28 18:34:11 EST
Hi Răzvan,

the document you've quoted (Fedora Desktop User Guide) is, AFAIK, not part of
RHEL's bookset. this bug should be filed in Fedora.

as for official RHEL documentation, instructions for mounting file systems and
removable media are described in "man mount".

setting this bug as NOTABUG. 
Comment 2 Răzvan Sandu 2008-03-02 07:36:34 EST
Hello,

Sorry for quoting a Fedora piece of documentation to a Red Hat bug - that seemed
representative to me.

As for the man page:
 
I assume RHEL man pages are not (very) different from the (recent) Fedora ones.

So I'll refer to the Fedora „man mount” page, which states:

" The standard form of the mount command, is
              mount -t type device dir
       This  tells the kernel to attach the file system found on device (which
       is of type type) at the directory dir."

The problem is that, on udev systems, we don't know the "device" name in advance 
for removable media.

Could you please explain (or redirect this bug to the appropriate Fedora
documentation maintainer)?

This missing piece of information is *blocking* in some cases, so I'll consider
it a FAQ.


Thanks a lot,
Răzvan
Comment 3 Don Domingo 2008-03-02 20:03:53 EST
reassigning this to package maintainer for util-linux, since man pages are
managed by the package owner themselves.
Comment 4 Karel Zak 2008-05-29 05:49:01 EDT
man mount:

Most devices are indicated by a file name (of a block special device), like
/dev/sda1, but there are other possibilities. For example, in the  case  of  an
 NFS  mount,  device  may  look  like knuth.cwi.nl:/dir. It is possible to
indicate a block special device using its volume label or UUID (see the -L and
-U options below).

My plan is add to the man page info about vol_id and blkid commands.
Comment 5 Adam Pribyl 2008-10-22 15:22:00 EDT
This is probably a bit general problem, related to usage of udev-hal-gnomemount chain in newer Fedora versions. When you are using GUI, the removable media is mounten automaticaly under /media. In init 3 this is not the case. If you do not use root account, then to mount such a media you need to grep dmesg for a assigned /dev name and then do gnome-mount -d /dev/name, which is not very convenient. I personally would welcome if they are mounted also in init 3 as they do in init 5 and could be umounted with umount /media/name by user (calling gnome-umount -d /dev/name is now necessary).
Comment 6 Răzvan Sandu 2008-10-24 10:13:57 EDT
Thanks A LOT for your information !

I don't know if mounting automatically is 100% secure (neither in X nor in command line), but I will gladly accept your point of view.

Please provide a *really easy way* to manipulate (mount/umount) media, for non-technical users - with clear documentation attached !

When using a Red Hat system as a *desktop*  (not necesarilly running X by default!), it's already difficult enough to explain to a secretary what mount-ing /unmount-ing is...  ;-)  Or what cryptic utilities she has to use...


<offtopic>

Someone from the Documentation team *please* look at bug #240891 - it's pretty important and it looks stalled for *very* long, even after I've attached a very clear image on the matter...   Thanks again !

</offtopic>

Regards,
Răzvan
Comment 7 Adam Pribyl 2008-10-24 15:46:20 EDT
I am just a poor bugzapper hunting Fedora bugs. Fedora is open project, anybody can join, therefore I would recommend you to join 
https://fedoraproject.org/wiki/DocsProject and fix the mentioned part there, as you seem to be very familiar with various Fedora and Red Hat documentation. 

Regarding bug 240891 this is for RHEL product, that is out of my scope.
Comment 8 Bug Zapper 2008-11-25 21:08:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-11-18 04:26:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Karel Zak 2009-12-07 05:09:02 EST
I think the mount man page provides necessary information and we're slowly improving the mount documentation in every util-linux-ng release. 

Frankly, the mount/umount command line is not designed for a secretary. We have desktop utils (like nautilus) to such users. 

Closing. (That does not mean that the docs is perfect:-)

Note You need to log in before you can comment on or make changes to this bug.